Summary:	A Tk toolkit extension, including widgets, geometry managers, etc
Name:		blt
Version:	2.5
Release:	%mkrel 1
License:	MIT
Group:		System/Libraries
URL:		http://pdqi.com/w/pw/pdqi/Wize/Blt
Source0:	http://pdqi.com/w/Download/blt-src-2.5.tar.xz
Patch0:		blt-2.5-mga-cplusplus.patch
Patch1:		blt2.4z-tcl8.6.patch
Patch2:		blt2.4z-tk8.6.patch
Patch3:		blt-2.5-mga-errorLine.patch

BuildRequires:	libx11-devel
BuildRequires:	tk-devel
BuildRequires:	tcl-devel
BuildRequires:	autoconf2.1
Obsoletes:	%{name}-scripts < %{version}-%{release}
Obsoletes:	%{mklibname blt 2}
Obsoletes:	%{mklibname blt 2 -d}

%description
BLT is an extension to the Tk toolkit. BLT's most useful feature is the
provision of more widgets for Tk, but it also provides more geometry managers
and miscellaneous other commands. Note that you won't need to do any patching
of the Tcl or Tk source files to use BLT, but you will need to have Tcl/Tk
installed in order to use BLT.

%package -n blt-devel
Summary: Tk toolkit extension
Group:   Development/Libraries
Requires: blt = %{version}

%description -n blt-devel
Development files for BLT

%prep
%setup -q -n %{name}%{version}
sed -i -e 's,local/,,g' demos/scripts/page.tcl
autoconf-2.13
%apply_patches

%build
%configure --libdir=%{tcl_sitearch} \
   --with-tcl=%{_libdir}
make

%install
%{__mkdir_p} %{buildroot}%{_libdir}
%{__mkdir_p} %{buildroot}%{_mandir}

make prefix=%{buildroot}%{_prefix} \
 exec_prefix=%{buildroot}%{_prefix} \
 bindir=%{buildroot}%{_bindir} \
 libdir=%{buildroot}%{tcl_sitearch} \
 includedir=%{buildroot}%{_includedir} \
 mandir=%{buildroot}%{_mandir} \
 scriptdir=%{buildroot}%{tcl_sitearch}/blt%{version} \
install

ln -sf bltwish25 %{buildroot}%{_bindir}/bltwish
ln -sf bltsh25 %{buildroot}%{_bindir}/bltsh

# Dadou - Don't put in %%_libdir things which should be in %%_docdir
rm -fr %{buildroot}%{tcl_sitearch}/blt2.5/NEWS
rm -fr %{buildroot}%{tcl_sitearch}/blt2.5/PROBLEMS
rm -fr %{buildroot}%{tcl_sitearch}/blt2.5/README
rm -fr %{buildroot}%{tcl_sitearch}/blt2.5/demos

# Dadou - Prevent conflicts with other packages
for i in bitmap graph tabset tree watch; do
	mv %{buildroot}%{_mandir}/mann/$i{,-blt}.n
done

# need to be available as a shared lib as well as a tcl module
ln -s %{tcl_sitearch}/libBLT25.so %{buildroot}%{_libdir}/libBLT25.so
ln -s %{tcl_sitearch}/libBLTlite25.so %{buildroot}%{_libdir}/libBLTlite25.so

# development crap, we don't have anything that builds against this
# at present
rm -f %{buildroot}%{_libdir}/*.a
rm -f %{buildroot}%{tcl_sitearch}/*.a

%files
%doc MANIFEST NEWS PROBLEMS README
%doc examples/
%doc html/
%doc demos/
%{_bindir}/*
%{_mandir}/mann/*
%{_mandir}/man3/*
%{tcl_sitearch}/*.so
%{tcl_sitearch}/%{name}2.5
%{_libdir}/*.so

%files -n blt-devel
%{_includedir}/*.h


%changelog
* Mon Aug 14 2017 bb2 <bb2> 2.5-1pclos2017
- new version for tcl/tk
